RoundCube - ошибка Declaration of rcmail::get instance($env = '') should be compatible with rcube


Материал из Wiki - Iphoster - 'the best ever hosting and support

Перейти к: навигация, поиск

RoundCube - ошибка Declaration of rcmail::get instance($env = ) should be compatible with rcube

ошибка вида:

[Thu Dec 28 22:04:52.745870 2017] [php7:warn] [pid 13496] [client ip:55471] PHP Warning:  Declaration of rcmail::get_instance($env = ) should be compatible with rcube::get_instance($mode = 0, $env = ) in /usr/share/roundcube/program/include/rcmail.php on line 30
[Thu Dec 28 22:04:57.693995 2017] [php7:warn] [pid 13496] [client :55471] PHP Warning:  Declaration of rcmail::get_instance($env = ) should be compatible with rcube::get_instance($mode = 0, $env = ) in /usr/share/roundcube/program/include/rcmail.php on line 30, referer: http://ip/roundcube/?_task=login


означает что используется версия ниже Roundcube 1.2 с php 7.x. Roundcube ниже 1.2 не работает на php 7.x и нужно переключить версию на php 5.6 и ниже.
Для php 7.x - нужно установить Roundcube 1.2 или выше.

Индекс цитирования